Bug 892671 - [abrt] Zim-0.58-1.fc17: tags.py:58:select_page:ValueError: invalid tree path
[abrt] Zim-0.58-1.fc17: tags.py:58:select_page:ValueError: invalid tree path
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Zim (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Robin Lee
Fedora Extras Quality Assurance
abrt_hash:729e2148ce408b28147cadd076f...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-07 10:05 EST by Robert Keersse
Modified: 2014-05-02 13:20 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 05:58:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: executable (12 bytes, text/plain)
2013-01-07 10:05 EST, Robert Keersse
no flags Details
File: environ (1.74 KB, text/plain)
2013-01-07 10:05 EST, Robert Keersse
no flags Details
File: smolt_data (2.87 KB, text/plain)
2013-01-07 10:05 EST, Robert Keersse
no flags Details
File: core_backtrace (343 bytes, text/plain)
2013-01-07 10:05 EST, Robert Keersse
no flags Details

  None (edit)
Description Robert Keersse 2013-01-07 10:05:01 EST
Description of problem:
open Zim

Version-Release number of selected component:
Zim-0.58-1.fc17

Additional info:
libreport version: 2.0.18
abrt_version:   2.0.18
cmdline:        /usr/bin/python /usr/bin/zim --ipc-server-main /tmp/zim-robert/zim-server-socket 30
kernel:         3.5.6-1.fc17.x86_64

backtrace:
:tags.py:58:select_page:ValueError: invalid tree path
:
:Traceback (most recent call last):
:  File "/usr/lib/python2.7/site-packages/zim/plugins/tags.py", line 821, in on_open_page
:    self.treeview.select_page(path)
:  File "/usr/lib/python2.7/site-packages/zim/gui/pageindex.py", line 679, in select_page
:    model.select_page(path) # highlight in model
:  File "/usr/lib/python2.7/site-packages/zim/plugins/tags.py", line 58, in select_page
:    treeiter = self.get_iter(treepath)
:ValueError: invalid tree path
:
:Local variables in innermost frame:
:self: <DuplicatePageTreeStore object at 0x206d550 (zim+gui+pageindex+PageTreeStore at 0x1cff420)>
:path: <HistoryPath: Fedora17:Software>
:oldpath: <IndexPath: Fedora17:UserMenu>
:treepath: (6, 10)
:mypath: <IndexPath: Fedora17:UserMenu>
Comment 1 Robert Keersse 2013-01-07 10:05:04 EST
Created attachment 674107 [details]
File: executable
Comment 2 Robert Keersse 2013-01-07 10:05:06 EST
Created attachment 674108 [details]
File: environ
Comment 3 Robert Keersse 2013-01-07 10:05:09 EST
Created attachment 674109 [details]
File: smolt_data
Comment 4 Robert Keersse 2013-01-07 10:05:11 EST
Created attachment 674110 [details]
File: core_backtrace
Comment 5 David Kovalsky 2013-02-20 09:05:49 EST
Removed a third-level subpage. Then immediately clicked elsewhere in the tree.

Package: Zim-0.59-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 6 Robin Lee 2013-04-29 05:40:40 EDT
(In reply to comment #5)
> Removed a third-level subpage. Then immediately clicked elsewhere in the
> tree.
> 
> Package: Zim-0.59-1.fc17
> OS Release: Fedora release 17 (Beefy Miracle)

I am not able to reproduce the issue with your steps.
Comment 7 David Kovalsky 2013-04-30 02:57:39 EDT
Hey Robin, 

honestly it's not a 100% reproducer and it has likely something to do with me having hundreds of notes and some race condition (delete/display). 


FYI I'm running F18 latest and greatest and it seems the issue is not popping up anymore. I'm fine if this gets closed as F17 is nearing EOL anyway.
Comment 8 Fedora End Of Life 2013-07-03 23:00:56 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2013-08-01 05:58:37 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.